variable "persistent_folder" {
  description = "The path to the persistent folder"
  type        = string
}

variable "fqdn" {
  description = "The fully qualified domain name for the Rustdesk server"
  type        = string
}

variable "tag" {
  description = "The version of Rustdesk to install"
  type        = string
  default     = "latest"
}

variable "maxmind_account_id" {
  description = "Maxmind account ID"
  type        = string
}

variable "maxmind_license_key" {
  description = "Maxmind license key"
  type        = string
  sensitive   = true
}

variable "geoip_cron_schedule" {
  description = "The cron schedule for the geoipupdate job"
  type        = string
  default     = "0 0 * * *"
}

variable "geoip_editions" {
  description = "The editions of the GeoIP database to update"
  type        = list(string)
  default     = ["GeoLite2-Country", "GeoLite2-City"]
}

variable "admin_password" {
  description = "The password for the M3UProxy admin user"
  type        = string
  sensitive   = true
}

variable "secret" {
  description = "The secret for JWT signing in M3UProxy"
  type        = string
  sensitive   = true
}

variable "wireguard_public_key" {
  description = "The public key for Wireguard"
  type        = string
}

variable "wireguard_private_key" {
  description = "The private key for Wireguard"
  type        = string
  sensitive   = true
}
